unit EditID;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TfrmEditID = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
  private
    fPartFile: string;
    function GetText: string;
    procedure SetText(const Value: string);
    { Private declarations }
  public
    { Public declarations }
    property Text: string read GetText write SetText;
  end;

var
  frmEditID: TfrmEditID;

implementation

{$R *.DFM}

{ TfrmEditID }

function TfrmEditID.GetText: string;
begin
  Result := fPartFile + '|' + Edit1.Text;
end;

procedure TfrmEditID.SetText(const Value: string);
var
  p: integer;
begin
  p := Pos('|', Value);
  if p > 0 then begin
    fPartFile := Trim(Copy(Value, 1, p-1));
    Edit1.Text := Trim(Copy(Value, p+1, MaxInt));
  end
  else begin
    fPartFile := Value;
    Edit1.Text := '';
  end
end;

end.
